import {Entity, PrimaryGeneratedColumn, Column} from "typeorm";

@Entity()
export class PostVerifyMessage {

    @PrimaryGeneratedColumn()
    id: number;

    @Column()
    messageId: string;

    @Column()
    author: string;

    @Column()
    title: string;

    @Column()
    link: string;

    @Column()
    text: string;

    @Column()
    isNew: boolean;
}
