import { Entity, PrimaryColumn, Column, OneToOne, JoinColumn } from "typeorm";
import { PostVerifyMessage } from "./PostVerifyMessage";

@Entity()
export class PostedForumNewsItem {

    @PrimaryColumn()
    id: string;

    @Column()
    hash: string;

    @Column({ nullable: true })
    postedMessageId?: string;

    @OneToOne(type => PostVerifyMessage, { nullable: true })
    @JoinColumn()
    verifyMessage?: PostVerifyMessage;
};