import {Entity, PrimaryColumn, Column} from "typeorm";

@Entity()
export class RandomMessageReaction {
    
    @PrimaryColumn()
    userId: string;

    @Column()
    reactionEmoteId: string;

    @Column({ type: "decimal", default: 0.0 })
    reactProbability: number;

    @Column({ type: "decimal", default: 0.0 })
    maxWaitMs: number;
}
